Bug 1392849 - Validator for debug=true fails when conf file is not found
Summary: Validator for debug=true fails when conf file is not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Jason E. Rist
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-08 11:16 UTC by Udi
Modified: 2016-12-14 16:30 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-validations-5.1.0-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:30:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 392855 None None None 2016-11-09 07:49:10 UTC

Description Udi 2016-11-08 11:16:22 UTC
Description of problem:
This is a blocker bug to track that the fix for https://bugs.launchpad.net/tripleo/+bug/1640048 lands downstream and we don't release without it.


On my undercloud there is no ceilometer and no /etc/ceilometer/ceilometer.conf. The validator "Undercloud Services Debug Check" fails although all the other services are not installed in debug mode. The error message you get from the validator is also very unhelpful:

fatal: [localhost]: FAILED! => {"failed": true, "msg": "The conditional check ''{{ debug_check }}' in config_result.value' failed. The error was: error while evaluating conditional ('{{ debug_check }}' in config_result.value): Unable to look up a name or access an attribute in template string ({% if 'True' in config_result.value %} True {% else %} False {% endif %}).\nMake sure your variable name does not contain invalid characters like '-': argument of type 'StrictUndefined' is not iterable"}

Comment 1 Tomas Sedovic 2016-11-08 13:07:10 UTC
The backport to stable/newton landed on the 2nd November and as far as I know, the latest puddle is from the 4th.

Mike, is there anything else that needs to happen to get the latest tripleo-validations commits avaliable or did the fix just land too late for the latest puddle?

Comment 2 Tomas Sedovic 2016-11-08 13:08:06 UTC
Adding link to the upstream backport to Newton: https://review.openstack.org/#/c/392855/

Comment 3 Thierry Vignaud 2016-11-09 07:49:10 UTC
This fix is in openstack-tripleo-validations-5.1.0-3.el7ost

Comment 9 Udi 2016-11-13 10:03:09 UTC
Verified in openstack-tripleo-validations-5.1.0-3.el7ost.noarch

Comment 11 errata-xmlrpc 2016-12-14 16:30:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.